import os, sys
parent_dir = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
sys.path.insert(0, parent_dir)

from janome.dic import SystemDictionary
from . import connections1, connections2
from . import chardef, unknowns

__entries = None

def __add_extra_info(entries, extra_entries_info):
    for k, v in extra_entries_info.items():
        entries[k] = tuple(list(entries[k]) + list(v))

def entries(compact = False):
    global __entries
    if not __entries:
        from . import entries_compact1, entries_compact2, entries_compact3
        __entries = entries_compact1.DATA
        __entries.update(entries_compact2.DATA)
        __entries.update(entries_compact3.DATA)
        del entries_compact1.DATA
        del entries_compact2.DATA
        del entries_compact3.DATA
    if not compact and len(__entries[0]) < 5:
        # need to load extra token info
        from . import entries_extra1, entries_extra2, entries_extra3, entries_extra4, entries_extra5, entries_extra6, entries_extra7, entries_extra8, entries_extra9, entries_extra10
        __add_extra_info(__entries, entries_extra1.DATA)
        __add_extra_info(__entries, entries_extra2.DATA)
        __add_extra_info(__entries, entries_extra3.DATA)
        __add_extra_info(__entries, entries_extra4.DATA)
        __add_extra_info(__entries, entries_extra5.DATA)
        __add_extra_info(__entries, entries_extra6.DATA)
        __add_extra_info(__entries, entries_extra7.DATA)
        __add_extra_info(__entries, entries_extra8.DATA)
        __add_extra_info(__entries, entries_extra9.DATA)
        __add_extra_info(__entries, entries_extra10.DATA)
        del entries_extra1.DATA
        del entries_extra2.DATA
        del entries_extra3.DATA
        del entries_extra4.DATA
        del entries_extra5.DATA
        del entries_extra6.DATA
        del entries_extra7.DATA
        del entries_extra8.DATA
        del entries_extra9.DATA
        del entries_extra10.DATA
    return __entries

def entries_extra():
    global __entries
    if not __entries_extra:
        from . import entries_extra1, entries_extra2, entries_extra3, entries_extra4, entries_extra5, entries_extra6, entries_extra7, entries_extra8, entries_extra9, entries_extra10
        __entries_extra = entries_extra1.DATA
        __entries_extra.update(entries_extra2.DATA)
        __entries_extra.update(entries_extra3.DATA)
        __entries_extra.update(entries_extra4.DATA)
        __entries_extra.update(entries_extra5.DATA)
        __entries_extra.update(entries_extra6.DATA)
        __entries_extra.update(entries_extra7.DATA)
        __entries_extra.update(entries_extra8.DATA)
        __entries_extra.update(entries_extra9.DATA)
        __entries_extra.update(entries_extra10.DATA)
        del entries_extra1.DATA
        del entries_extra2.DATA
        del entries_extra3.DATA
        del entries_extra4.DATA
        del entries_extra5.DATA
        del entries_extra6.DATA
        del entries_extra7.DATA
        del entries_extra8.DATA
        del entries_extra9.DATA
        del entries_extra10.DATA
    return __entries_extra

connections = list(connections1.DATA)
connections.extend(connections2.DATA)

